summaryrefslogtreecommitdiff
path: root/qa/547
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/547
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/547')
-rwxr-xr-xqa/54736
1 files changed, 36 insertions, 0 deletions
diff --git a/qa/547 b/qa/547
new file mode 100755
index 0000000..4125019
--- /dev/null
+++ b/qa/547
@@ -0,0 +1,36 @@
+#!/bin/sh
+# PCP QA Test No. 547
+# Exercise past security flaws in PCP protocol implementation
+#
+# Copyright (c) 2013 Red Hat. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+host=localhost
+timeout=2
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+cd secure
+for crash_test in crash-*
+do
+ echo "$crash_test checking: " | tee -a $here/$seq.full
+ python $crash_test $host
+ pmcd_wait -t $timeout -h $host
+ sts=$?
+ echo "$crash_test complete sts=$sts" | tee -a $here/$seq.full
+ [ $sts -ne 0 ] && exit
+done
+
+# success, all done
+status=0
+exit